<template>
  <div>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  name: 'ValidaSessao',
  data () {
    return {
      bemol_dadosUsuario: null
    }
  },
  created () {
    if (!localStorage.getItem('bemol_dadosUsuario')) {
      this.$buefy.notification.open({
        message: 'Sessão encerrada.',
        type: 'is-danger',
        position: 'is-top-right',
        duration: 4000
      })
      this.$router.push('/')
    }

    this.bemol_dadosUsuario = JSON.parse(localStorage.getItem('bemol_dadosUsuario'))
    if (this.bemol_dadosUsuario == null) {
      this.$buefy.notification.open({
        message: 'Sessão encerrada.',
        type: 'is-danger',
        position: 'is-top-right',
        duration: 4000
      })
      this.$router.push('/')
    }
    axios.get('http://localhost:8000/api/authtoken', {
      headers: {
        Authorization: 'Bearer ' + this.bemol_dadosUsuario.token
      }
    }).then((res) => {
      if (res.data.erro) {
        this.$buefy.notification.open({
          message: res.data.erro,
          type: 'is-danger',
          position: 'is-top-right',
          duration: 4000
        })
        this.$router.push('/')
      }
    }).catch((error) => {
      this.$buefy.notification.open({
        message: error,
        type: 'is-danger',
        position: 'is-top-right',
        duration: 4000
      })
    })
  }
}
</script>
